<h1 class="ui dividing header">
  Events
  <%= link_to new_event_path, class: 'ui right floated primary button' do %>
    <i class="plus circle icon"></i> New Event
  <% end %>
</h1>

<%= search_form_for @search, method: :post, url: search_events_path, html: { class: 'ui form' } do |f| %>
  <div class="two fields">
    <div class="field">
      <%= f.label :name_cont, 'Name' %>
      <%= f.text_field :name_cont %>
    </div>

    <div class="field">
      <%= f.label :restaurant_id_eq, 'Restaurant' %>
      <%=
        f.select(
          :restaurant_id_eq,
          options_for_select(
            Restaurant.order(:name).pluck(:name, :id),
            f.object.restaurant_id_eq
          ),
          { include_blank: true },
          class: 'ui fluid search dropdown'
        )
      %>
    </div>

    <div class="field">
      <%= f.label :occurs_on_gteq, 'Min Date' %>

      <div class="ui calendar">
        <div class="ui input left icon">
          <i class="calendar icon"></i>
          <%= f.text_field :occurs_on_gteq %>
        </div>
      </div>
    </div>

    <div class="field">
      <%= f.label :occurs_on_lteq, 'Max Date' %>

      <div class="ui calendar">
        <div class="ui input left icon">
          <i class="calendar icon"></i>
          <%= f.text_field :occurs_on_lteq %>
        </div>
      </div>
    </div>
  </div>

  <br>

  <%= f.submit class: 'ui primary button', data: { disable_with: 'Searching...' } %>
<% end %>

<div class="ui segment">
  <%= page_entries_info @events %>
</div>

<%= paginate @events %>

<table class="ui striped celled table">
  <thead>
    <tr>
      <th><%= sort_link @search, 'name', { action: :search }, method: :post %></th>
      <th>
        <%= sort_link @search, 'occurs_on', 'Date', { action: :search }, method: :post %>
      </th>
      <th>Restaurant</th>
      <th></th>
    </tr>
  </thead>

  <tbody>
    <% @events.each do |event| %>
      <tr>
        <td><%= event.name %></td>
        <td><%= event.occurs_on %></td>
        <td><%= link_to(event.restaurant, event.restaurant) if event.restaurant %></td>
        <td>
          <%= link_to event, class: 'ui secondary button' do %>
            <i class="eye icon"></i> Show
          <% end %>
          <%= link_to edit_event_path(event), class: 'ui secondary button' do %>
            <i class="pencil icon"></i> Edit
          <% end %>

          <% if current_user.admin? %>
            <%= link_to event, method: :delete, data: { confirm: 'Are you sure?' }, class: 'ui negative button' do %>
              <i class="trash icon"></i> Delete
            <% end %>
          <% end %>
        </td>
      </tr>
    <% end %>
  </tbody>
</table>

<%= paginate @events %>
